triangulation2.h File Reference

Internal header for 2-dimensional triangulations. More...

`#include <memory>`
`#include <vector>`
`#include "regina-core.h"`
`#include "triangulation/generic/triangulation.h"`
`#include "utilities/markedvector.h"`
`#include "utilities/property.h"`
`#include "triangulation/dim2/triangle2.h"`
`#include "triangulation/dim2/component2.h"`
`#include "triangulation/dim2/boundarycomponent2.h"`

## Classes

class | regina::Triangulation< 2 >
| Represents a 2-manifold triangulation. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Typedefs

typedef Triangulation< 2 > | regina::Dim2Triangulation
| Deprecated typedef for backward compatibility. More...
typedef FaceEmbedding< 2, 0 > | regina::Dim2VertexEmbedding
| Deprecated typedef for backward compatibility. More...
typedef FaceEmbedding< 2, 1 > | regina::Dim2EdgeEmbedding
| Deprecated typedef for backward compatibility. More...
typedef Face< 2, 0 > | regina::Dim2Vertex
| Deprecated typedef for backward compatibility. More...
typedef Face< 2, 1 > | regina::Dim2Edge
| Deprecated typedef for backward compatibility. More...

## Detailed Description

Internal header for 2-dimensional triangulations.

This file is automatically included from triangulation/dim2.h; there is no need for end users to include this header explicitly.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).